# More About Cargo and Crates.io

Previously Cargo has only been used to do basic features of Cargo, like build, run, and test the code.

Cargo can do so much more

This chapter will go over some more advanced features like:
- [Customize your build](./Custome%20Build%20Profiles.md) through release profiles
- [Publish libraries](./Publishing%20libraries.md) on [crates.io](https://crates.io/)
- Organize large projects with [workspaces](./Cargo%20Workspaces.md)
- [Install binaries](./Install%20Binaries.md) from [crates.io](https://crates.io/)
- [Extend Cargo](./Extending%20Cargo.md) using custom commands

Cargo can do even more than what will be covered.

You can chack [the documentation](https://doc.rust-lang.org/cargo/) for a full explanation of all its features.